summaryrefslogtreecommitdiffstats
path: root/network/yadifa
diff options
context:
space:
mode:
Diffstat (limited to 'network/yadifa')
-rw-r--r--network/yadifa/README39
-rw-r--r--network/yadifa/rc.yadifa4
-rw-r--r--network/yadifa/yadifa.SlackBuild44
-rw-r--r--network/yadifa/yadifa.info8
-rw-r--r--network/yadifa/yadifa.logrotate2
5 files changed, 57 insertions, 40 deletions
diff --git a/network/yadifa/README b/network/yadifa/README
index 718a975704..41b0ded884 100644
--- a/network/yadifa/README
+++ b/network/yadifa/README
@@ -1,15 +1,16 @@
-Lightweight authoritative Name Server with DNSSEC capabilities. Developed by
-the passionate people behind the .eu top-level domain, YADIFA has been built
-from scratch to face today’s DNS challenges, with no compromise on security,
-speed and stability, to offer a better and safer Internet experience.
+Lightweight authoritative Name Server with DNSSEC
+capabilities. Developed by the passionate people behind the .eu
+top-level domain, YADIFA has been built from scratch to face today’s
+DNS challenges, with no compromise on security, speed and stability,
+to offer a better and safer Internet experience.
-Package binaries and shared objects linked here dynamically, but by-default
-configure script links it statically, for performance consideration. Static
-linking makes sence only on heavy loaded environment (10+ Mbit DNS traffic,
-5000+ queries/second per server).
+Package binaries and shared objects linked here dynamically, but
+by-default configure script links it statically, for performance
+consideration. Static linking makes sence only on heavy loaded
+environment (10+ Mbit DNS traffic, 5000+ queries/second per server).
-YADIFA requires its own user in order to run securely. It is not advised to
-run services as root user without special reason.
+YADIFA requires its own user in order to run securely. It is not
+advised to run services as root user without special reason.
To add yadifa user in system run as root:
@@ -21,17 +22,17 @@ To add yadifa user in system run as root:
In order to run YADIFA during boot process, add to /etc/rc.d/rc.local :
if [ -x /etc/rc.d/rc.yadifa ]; then
- /etc/rc.d/rc.yadifa start
+ /etc/rc.d/rc.yadifa start
fi
-By default this package compiles as shared binaries, but if required it is
-possible to build it statically. YADIFA' source by default links staticaly,
-because of performance considerations, but in pracatice it takes less effort
-to support shared linked binaries. But if you really need it just set
-environment variable and run SlackBuild:
+By default this package compiles as shared binaries, but if required
+it is possible to build it statically. YADIFA's source by default links
+statically, because of performance considerations, but in practice it
+takes less effort to support shared linked binaries. But if you really
+need it just set environment variable and run SlackBuild:
USESTATIC=yes ./yadifa.SlackBuild
-In case of using static build of YADIFA, you should re-build and re-install
-yadifa package each time openssl recieves update to keep your installation
-secure. \ No newline at end of file
+If you use a static build of YADIFA, you should re-build and
+re-install the yadifa package each time openssl recieves an update,
+to keep your installation secure.
diff --git a/network/yadifa/rc.yadifa b/network/yadifa/rc.yadifa
index 63a35376ed..fdc1cecf6e 100644
--- a/network/yadifa/rc.yadifa
+++ b/network/yadifa/rc.yadifa
@@ -5,6 +5,10 @@
do_start() {
if [ -x /usr/sbin/yadifad ]; then
+ if [ ! -d /run/yadifa ]; then
+ mkdir -p /run/yadifa
+ chown yadifa:yadifa /run/yadifa
+ fi
echo -n "Starting YADIFA DNS Server: /usr/sbin/yadifad -c /etc/yadifa/yadifad.conf --daemon... "
/usr/sbin/yadifad -c /etc/yadifa/yadifad.conf --daemon 2> /dev/null
echo "done."
diff --git a/network/yadifa/yadifa.SlackBuild b/network/yadifa/yadifa.SlackBuild
index 483f9709d4..d284cd8108 100644
--- a/network/yadifa/yadifa.SlackBuild
+++ b/network/yadifa/yadifa.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for YADIFA, Authoritative DNS server
@@ -22,25 +22,29 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=yadifa
-VERSION=${VERSION:-2.3.9_8497}
+VERSION=${VERSION:-2.5.3}
+VSUFFIX=${VSUFFIX:-10333}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
-SRCVERSION=$(echo $VERSION | tr _ -)
+SRCVERSION=$(echo $VERSION-$VSUFFIX | tr _ -)
if ! grep -q "^yadifa:" /etc/group; then
- echo "$0: Error: $PRGNAM group (yadifa) doesn't exist."
- echo "$0: Try creating one with:"
- echo " # groupadd -g 332 yadifa"
- exit 1
+ echo "$0: Error: $PRGNAM group (yadifa) doesn't exist."
+ echo "$0: Try creating one with:"
+ echo " # groupadd -g 332 yadifa"
+ exit 1
fi
if ! grep -q "^yadifa:" /etc/passwd; then
- echo "$0: Error: $PRGNAM user (yadifa) doesn't exist."
- echo "$0: Try creating one with:"
- echo " # useradd -u 332 -d /var/lib/yadifa -g yadifa -s /bin/false yadifa"
- exit 1
+ echo "$0: Error: $PRGNAM user (yadifa) doesn't exist."
+ echo "$0: Try creating one with:"
+ echo " # useradd -u 332 -d /var/lib/yadifa -g yadifa -s /bin/false yadifa"
+ exit 1
fi
if [ -z "$ARCH" ]; then
@@ -51,7 +55,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -116,6 +127,7 @@ make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG/usr/man -type f -exec gzip -9 {} \+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
install --mode=644 $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
@@ -126,9 +138,6 @@ install --mode=755 $CWD/doinst.sh $PKG/install/doinst.sh
mkdir -p $PKG/etc/rc.d
install --mode=755 $CWD/rc.yadifa $PKG/etc/rc.d/rc.yadifa.new
-mkdir -p $PKG/var/run/yadifa
-chown yadifa:yadifa $PKG/var/run/yadifa
-
mkdir -p $PKG/var/log/yadifa
chown yadifa:yadifa $PKG/var/log/yadifa
@@ -143,8 +152,9 @@ install --mode=644 $CWD/zones.conf $PKG/etc/yadifa/zones.conf.new
mkdir -p $PKG/etc/logrotate.d
install --mode=644 $CWD/yadifa.logrotate $PKG/etc/logrotate.d/yadifa.new
-# remove empty file
+# remove empty files
rm -rf $PKG/etc/yadifa/yadifad.conf
+rm -rf $PKG/etc/yadifa/yakeyrolld.conf
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/yadifa/yadifa.info b/network/yadifa/yadifa.info
index 123e39a495..93d83aeca8 100644
--- a/network/yadifa/yadifa.info
+++ b/network/yadifa/yadifa.info
@@ -1,8 +1,8 @@
PRGNAM="yadifa"
-VERSION="2.3.9_8497"
-HOMEPAGE="https://www.yadifa.eu/home"
-DOWNLOAD="https://cdn.yadifa.eu/sites/default/files/releases/yadifa-2.3.9-8497.tar.gz"
-MD5SUM="cde0cccb6bb56e4d3afdacc0591e38f7"
+VERSION="2.5.3"
+HOMEPAGE="https://www.yadifa.eu"
+DOWNLOAD="https://www.yadifa.eu/sites/default/files/releases/yadifa-2.5.3-10333.tar.gz"
+MD5SUM="107fe4bf6eb6d1c8da8bd185bcec5d46"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/network/yadifa/yadifa.logrotate b/network/yadifa/yadifa.logrotate
index 93cdd2ee13..a920e093ca 100644
--- a/network/yadifa/yadifa.logrotate
+++ b/network/yadifa/yadifa.logrotate
@@ -1,6 +1,8 @@
/var/log/yadifa/*.log {
daily
rotate 14
+ create 0644 yadifa yadifa
+ su yadifa yadifa
notifempty
missingok
compress